• DR-IT Software
  • Products
  • Documentation
  • Product page
  • Examples
  • API reference
  • Support
Show / Hide Table of Contents

Enum LineFoldingMode

Specifies how line folding (unfolding) is handled by LineReader.

Namespace: DRIT.Mail.Rfc.Shared
Assembly: DRIT.Mail.dll
Syntax
public enum LineFoldingMode

Fields

Name Description
Mime

RFC 5322 §2.2.3 unfolding. A CRLF immediately followed by at least one SP or HTAB is a continuation. The CRLF is removed; the whitespace is retained.

None

No unfolding. Each line is returned as-is.

TextLine

RFC 5545 §3.1 / RFC 6350 §3.2 unfolding. A CRLF immediately followed by a single linear whitespace character is a continuation. Both the CRLF and the single whitespace character are removed.

  • View Source
Back to top

DR-IT Software documentation

DR-IT Software · Products · Documentation index · Product page · Downloads · Support · Licensing

Generated by DocFX